import { __classPrivateFieldGet, __classPrivateFieldSet } from "tslib";
export const LifecycleMixin = (Base) => { var _instances, __containingLayout, __tryFindContainingLayout, _a; return _a = class extends Base {
        constructor(...args) {
            super(args);
            _instances.add(this);
            __containingLayout.set(this, null);
        }
        cloneNode(deep) {
            const thisClone = this.deepClone();
            if (deep) {
                Array.from(this.childNodes).forEach((child) => {
                    thisClone.appendChild(child.cloneNode(true));
                });
            }
            return thisClone;
        }
        deepClone() {
            const copy = document.createElement(this.tagName.toLowerCase());
            this.getAttributeNames().forEach((at) => copy.setAttribute(at, this.getAttribute(at)));
            return copy;
        }
        get shouldRunDisconnect() {
            if (__classPrivateFieldGet(this, __containingLayout, "f") === null)
                return true;
            return !__classPrivateFieldGet(this, __containingLayout, "f").dragging;
        }
        get shouldRunConnect() {
            return this.shouldRunDisconnect;
        }
        connectedCallback() {
            super.connectedCallback();
            if (__classPrivateFieldGet(this, __containingLayout, "f") === null) {
                __classPrivateFieldSet(this, __containingLayout, __classPrivateFieldGet(this, _instances, "m", __tryFindContainingLayout).call(this, this), "f");
            }
        }
    },
    __containingLayout = new WeakMap(),
    _instances = new WeakSet(),
    __tryFindContainingLayout = function __tryFindContainingLayout(e) {
        if (e.getRootNode() instanceof Document || e.getRootNode() instanceof DocumentFragment) {
            return null;
        }
        const shadowHost = e.getRootNode().host;
        if (shadowHost.constructor.name === 'FoundationLayout') {
            return shadowHost;
        }
        return __classPrivateFieldGet(this, _instances, "m", __tryFindContainingLayout).call(this, shadowHost);
    },
    _a; };
//# sourceMappingURL=lifecycle.js.map