import { __decorate } from "tslib";
import { customElement, FASTElement, observable } from '@microsoft/fast-element';
let SlottedStyles = class SlottedStyles extends FASTElement {
    stylesChanged(prev, next) {
        if (prev) {
            this.parentElement.$fastController.removeStyles(prev);
        }
        this.parentElement.$fastController.addStyles(next);
    }
};
__decorate([
    observable
], SlottedStyles.prototype, "styles", void 0);
SlottedStyles = __decorate([
    customElement({
        name: 'slotted-styles',
    })
], SlottedStyles);
export { SlottedStyles };
//# sourceMappingURL=slotted-styles.js.map