import { insertDocumentCSSRule } from './dom';
export const loadFontFaces = (fontFaceRules, styleElementId) => {
    insertDocumentCSSRule(fontFaceRules, styleElementId);
};
export var FontStyle;
(function (FontStyle) {
    FontStyle["Italic"] = "italic";
    FontStyle["Normal"] = "normal";
})(FontStyle || (FontStyle = {}));
export var FontWeight;
(function (FontWeight) {
    FontWeight[FontWeight["Thin"] = 100] = "Thin";
    FontWeight[FontWeight["Light"] = 300] = "Light";
    FontWeight[FontWeight["Regular"] = 400] = "Regular";
    FontWeight[FontWeight["Medium"] = 500] = "Medium";
    FontWeight[FontWeight["Bold"] = 700] = "Bold";
    FontWeight[FontWeight["Black"] = 900] = "Black";
})(FontWeight || (FontWeight = {}));
export const getFontMixin = (family, style = FontStyle.Normal, weight = FontWeight.Regular) => `
  font-family: ${family};
  font-style: ${style};
  font-weight: ${weight};
`;
//# sourceMappingURL=typography.js.map