import { DesignSystem } from '@microsoft/fast-foundation';
export interface DesignSystemModule {
    provideDesignSystem(element?: HTMLElement, prefix?: string): DesignSystem | Pick<DesignSystem, 'register'>;
    [key: string]: any;
}
export type DesignSystemResource<T = DesignSystemModule> = Promise<T>;
export declare function assureDesignSystem(module: DesignSystemModule): DesignSystemModule;
//# sourceMappingURL=designSystem.d.ts.map