import { Binding, CaptureType } from '@microsoft/fast-element';
export type ConversionType = 'string' | 'number' | 'time' | 'boolean';
export type EventName = 'input' | 'change' | 'default';
export declare const defaultEventMap: Map<string, EventName>;
export declare function sync<TSource = any, TReturn = any>(binding: Binding<TSource, TReturn>, conversionType?: ConversionType, eventName?: EventName, keyAttr?: string): CaptureType<TSource>;
//# sourceMappingURL=sync.d.ts.map