import type { DTOMapper } from './types';
export type ServerRowDTO = {
    DETAILS: {
        OPERATION: 'INSERT' | 'MODIFY' | 'DELETE';
        ROW_REF: string;
    };
};
export type ServerRowEntity = {
    serverRowMetadata: {
        operation: 'insert' | 'modify' | 'delete';
        rowRef: string;
    };
};
export interface ServerRowDTOMapper extends DTOMapper<ServerRowDTO, ServerRowEntity> {
}
export declare class DefaultServerRowDTOMapper implements ServerRowDTOMapper {
    fromDTO: (dto: any) => {
        serverRowMetadata: {
            operation: any;
            rowRef: any;
        };
    };
    toDTO: (entity: any) => {
        DETAILS: {
            OPERATION: any;
            ROW_REF: any;
        };
    };
}
export declare const ServerRowDTOMapper: import("@microsoft/fast-foundation").InterfaceSymbol<ServerRowDTOMapper>;
//# sourceMappingURL=serverRow.d.ts.map