export type Listener<EventType> = (ev: EventType) => void;
export type Subscribe<EventType> = (listener: Listener<EventType>) => () => void;
export type Publish<EventType> = (event: EventType) => void;
export interface Observer<EventType> {
    subscribe: Subscribe<EventType>;
    publish: Publish<EventType>;
}
export declare const createObserver: <EventType>() => Observer<EventType>;
//# sourceMappingURL=observer.d.ts.map