const isoDateSliceEnd = 10;
export function formatDateTimestamp(timestamp) {
    if (!timestamp || isNaN(timestamp))
        return null;
    return new Date(timestamp).toISOString().slice(0, isoDateSliceEnd);
}
const isoDateTimeSliceEnd = 19;
export function formatDateTimeTimestamp(timestamp) {
    if (!timestamp || isNaN(timestamp))
        return null;
    return new Date(timestamp).toISOString().slice(0, isoDateTimeSliceEnd).replace('T', ' ');
}
export function formatTimestamp(timestamp, withTime) {
    if (withTime) {
        return formatDateTimeTimestamp(timestamp);
    }
    return formatDateTimestamp(timestamp);
}
//# sourceMappingURL=datetime.js.map