import consola from 'consola/src/browser';
export { LogLevel } from 'consola';
const logLevelDebug = 4;
export const defaultLoggerOptions = {
    level: logLevelDebug,
};
export function createLogger(name, options = defaultLoggerOptions) {
    const baseLogger = consola.create(options);
    const logger = baseLogger.withTag(name);
    return logger;
}
//# sourceMappingURL=logger.js.map